/** POST 參數組合
 *  POST parameter combination
 */
function csweb_ajax_poststr(type, pary, tobj){
	var rtnstr,urlary = [],n = 0,dstr,da,tid;
	if(isck_JSON(pary)) pary = JSON.parse(pary);
	if(isck_STRING(pary.poststr,'Y')) rtnstr = pary.poststr;
	else if(isck_ARRAY(pary.post)){
		if(type == 'str') rtnstr = '';
		else if(type == 'ary') rtnstr = new FormData();
		for(var i = 0; i < pary.post.length; i++){
			dstr = null;da = (pary.post[i]) ? pary.post[i] : null;tid = null;
			if(!isck_STRING(da.name,'Y') || !isck_STRING(da.type,'Y')) continue;
			if(isck_STRING(da.id,'Y') && da.type != 'form'){
				if(da.id == 'this' && (tobj)) tid = tobj;
				else if($(da.id).length > 0) tid = $(da.id);
			}
			if(da.type == 'form'){
				if(isck_STRING(da.id,'Y')) dstr = csweb_htmltojson(da.id, ((da.val) ? da.val : ''));
			}else if(da.type == 'str'){
				if(isck_STRING(da.val)) dstr = da.val;
			}else if(da.type == 'para'){
				if((!da.val) || !isck_STRING(pary.para[da.val])) continue;
				dstr = pary.para[da.val];
			}else if(da.type == 'val'){
				if((!tid) || !isck_STRING(tid.val())) continue;
				dstr = tid.val();
			}else if(da.type == 'html'){
				if((!tid) || !isck_STRING(tid.html())) continue;
				dstr = tid.html();
			}else if(da.type == 'attr'){
				if((!tid) || (!da.val) || !isck_STRING(tid.attr(da.val))) continue;
				dstr = tid.attr(da.val);
			}
			if(isck_STRING(dstr)){
				if(type == 'str'){
					urlary[n] = da.name+'='+EncodeURLutf8(dstr);
					if(da.type == 'form') urlary[n] += '&'+da.name+'_len='+EncodeURLutf8(dstr.length);
					n++;
				}else if(type == 'ary'){
					rtnstr.append(da.name, dstr);
					if(da.type == 'form') rtnstr.append(da.name+'_len', dstr.length);
				}
			}
		}
		if(type == 'str' && urlary.length > 0) rtnstr = urlary.join('&');
	}
	return rtnstr;
}